# This file created by conda-build 24.3.0
# meta.yaml template originally from:
# /__w/rapids-cmake/rapids-cmake/conda/recipes/rapids_core_dependencies, last modified Wed Jun  5 14:36:59 2024
# ------------------------------------------------

package:
  name: rapids_core_dependencies
  version: 24.06.00
source:
  git_url: /__w/rapids-cmake/rapids-cmake
build:
  ignore_run_exports_from:
    - nvcc_linux-64
  number: '0'
  string: cuda11_240605_g6bb3c58_0
requirements:
  build:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - _sysroot_linux-64_curr_repodata_hack 3 h69a702a_14
    - binutils_impl_linux-64 2.40 ha1999f0_2
    - binutils_linux-64 2.40 hdade7a5_3
    - bzip2 1.0.8 hd590300_5
    - c-ares 1.28.1 hd590300_0
    - ca-certificates 2024.6.2 hbcca054_0
    - cmake 3.29.4 h91dbaaa_0
    - cuda-version 11.8 h70ddcb2_3
    - gcc_impl_linux-64 11.4.0 h00c12a0_7
    - gcc_linux-64 11.4.0 h0f0c6b6_3
    - gxx_impl_linux-64 11.4.0 h634f3ee_7
    - gxx_linux-64 11.4.0 h2730b16_3
    - kernel-headers_linux-64 3.10.0 h4a8ded7_14
    - keyutils 1.6.1 h166bdaf_0
    - krb5 1.21.2 h659d440_0
    - ld_impl_linux-64 2.40 hf3520f5_2
    - libcurl 8.8.0 hca28451_0
    - libedit 3.1.20191231 he28a2e2_2
    - libev 4.33 hd590300_2
    - libexpat 2.6.2 h59595ed_0
    - libgcc-devel_linux-64 11.4.0 h515aa5d_107
    - libgcc-ng 13.2.0 h77fa898_7
    - libgomp 13.2.0 h77fa898_7
    - libnghttp2 1.58.0 h47da74e_1
    - libsanitizer 11.4.0 h5763a12_7
    - libssh2 1.11.0 h0841786_0
    - libstdcxx-devel_linux-64 11.4.0 h515aa5d_107
    - libstdcxx-ng 13.2.0 hc0a3c3a_7
    - libuv 1.48.0 hd590300_0
    - libzlib 1.3.1 h4ab18f5_1
    - make 4.3 hd18ef5c_1
    - ncurses 6.5 h59595ed_0
    - ninja 1.12.1 h297d8ca_0
    - nvcc_linux-64 11.8 h41dc85b_23
    - openssl 3.3.1 h4ab18f5_0
    - rhash 1.4.4 hd590300_0
    - sed 4.8 he412f7d_0
    - sysroot_linux-64 2.17 h4a8ded7_14
    - xz 5.2.6 h166bdaf_0
    - zstd 1.5.6 ha6fb4c9_0
  host:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - cuda-version 11.8 h70ddcb2_3
    - libgcc-ng 13.2.0 h77fa898_7
    - libgomp 13.2.0 h77fa898_7
    - libstdcxx-ng 13.2.0 hc0a3c3a_7
  run:
    - __glibc >=2.17,<3.0.a0
    - cuda-version >=11,<12.0a0
    - libgcc-ng >=12
    - libstdcxx-ng >=12
about:
  description: 'A subset of RAPIDS CUDA/C++ dependencies that need

    to be packaged with custom C++ header locations to

    avoid compiler issues.

    '
  home: https://rapids.ai/
  license: Apache-2.0
  license_family: Apache
  license_file: LICENSE
  summary: RAPIDS patched CUDA dependencies
extra:
  copy_test_source_files: true
  final: true
